#/bin/bash

# Arguments
# $1=/path/to/*.class
# $2=/path/to/soar

EXPECTED_ARGS=2

if [ $# -ne $EXPECTED_ARGS ]
then
echo "Usage: `basename $0` </path/to/output/dir> </path/to/soar>"
exit 0
fi

if [ ! -d "$1" ]; then
mkdir $1
fi

javac -d $1 -classpath src/java:$2/bin/java/sml.jar src/java/edu/umich/soar/hpp/HPPTGen.java
